/*
*
* Sample program for use with the Product
* Licensed Materials  - Property of IBM
* 5724-I66
* (c) Copyright IBM Corp.  2007*   
*/
package com.ibm.wbit.tel.client.jsf.infrastructure;

/**
 * This interfaces contains constants which are necessary for multiple classes of the JSF client.
 * Each class that uses at least one of this constants should implement this interface to get direct 
 * access to them, rather than use the interface name as prefix all the time. 
 */
public interface SharedConstants {
    
    /**
     * NLS catalog to use 
     */
    public final static String NLS_CATALOG = "com.ibm.wbit.tel.client.jsf.infrastructure.messages"; 
    
    /**
     * Key available in message properties
     */
    public final static String QUERY_FAILED_TODOS_OPEN = "QUERY_FAILED_TODOS_OPEN";
    
    /**
     * Key available in message properties
     */
    public final static String QUERY_FAILED_TODOS_CLAIMED = "QUERY_FAILED_TODOS_CLAIMED";
    
    /**
     * Key available in message properties
     */
    public final static String QUERY_FAILED_BUSINESS_CASE_STATUS = "QUERY_FAILED_BUSINESS_CASE_STATUS";
    
    
    /**
	 * Navigtion rule as of faces config for list with open ToDos
	 */
	public final static String LIST_TODOS_OPEN = "ToDosOpen";
	
	/**
	 * Navigtion rule as of faces config for list with under work ToDos
	 */
	public final static String LIST_TODOS_UNDER_WORK = "ToDosUnderWork";
    
    
    /**
     * Key available in message properties
     */
    public final static String WRONG_TASK_MESSAGE_FORMAT = "WRONG_TASK_MESSAGE_FORMAT";
    
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_HUMAN_TASK_MANAGER = "SERVICE_FAILED_HUMAN_TASK_MANAGER";
   
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_TO_CLAIM_HUMAN_TASK = "SERVICE_FAILED_TO_CLAIM_HUMAN_TASK";
     
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_TO_RELEASE_HUMAN_TASK = "SERVICE_FAILED_TO_RELEASE_HUMAN_TASK";
   
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_TO_COMPLETE_HUMAN_TASK = "SERVICE_FAILED_TO_COMPLETE_HUMAN_TASK";
   
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_TO_SAVE_HUMAN_TASK = "SERVICE_FAILED_TO_SAVE_HUMAN_TASK";
      
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_TO_START_HUMAN_TASK = "SERVICE_FAILED_TO_START_HUMAN_TASK";
   
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_TO_START_BUSINESS_PROCESS_NO_MSG = "SERVICE_FAILED_TO_START_BUSINESS_PROCESS_NO_MSG";
   
   /**
    * Key available in message properties
    */
   public final static String SERVICE_FAILED_TO_START_BUSINESS_PROCESS = "SERVICE_FAILED_TO_START_BUSINESS_PROCESS";
   
         
   /**
    * Key available in message properties
    */
   public final static String NOT_AVAILABLE_ANYMORE_TODO = "NOT_AVAILABLE_ANYMORE_TODO";
       
   /**
    * Key available in message properties
    */
   public final static String TYPE_OF_BUSINESS_CASE_UNKNOWN = "TYPE_OF_BUSINESS_CASE_UNKNOWN";
   
   
   /**
    * The separator for navigation
    */
   public static final String NAVIGATION_SEPARATOR= ">";
    
    

}
