/*
 *
 * Sample program for use with the Product
 * Licensed Materials  - Property of IBM
 * 5724-I66
 * (c) Copyright IBM Corp.  2007 *   
 */
package com.ibm.wbit.tel.client.jsf.infrastructure;

import java.util.Locale;

/**
 * This class provides some information about the user, 
 * it can be used to tailor the application to the users needs.
 */
public class UserInfo {

    /**
     * Constructor
     */
    public UserInfo() {
        super();

    }

    /**
     * Return the locale for the user.
     * 
     * @return the locale
     */
    public Locale getLocale() {

        return FacesUtils.getLocale();
    }

    /**
     * Return the name of current user.
     * 
     * @return name of current user.
     */
    public String getName() {
        String name = null;

        if (FacesUtils.getContext() != null) {
            name = FacesUtils.getContext().getRemoteUser();
        }

        return name;
    }

    /**
     * Return if a user logged in.
     * 
     * @return if a user logged in
     */
    public boolean isLoggedIn() {

        if (getName() == null || getName().equals("")) {
            return false;
        } else {
            return true;
        }
    }

}